/* ----------------------------------------------------------------------    
* Copyright (C) 2010-2014 ARM Limited. All rights reserved.    
*    
* $Date:        12. March 2014
* $Revision: 	V1.4.4
*    
* Project: 	    CMSIS DSP Library    
* Title:	    arm_pid_reset_f32.c    
*    
* Description:	Floating-point PID Control reset function   
*    
* Target Processor: Cortex-M4/Cortex-M3/Cortex-M0
*  
* ------------------------------------------------------------------- */

#include "arm_math.h"

 // * @addtogroup PID    

/**    
* @brief  Reset function for the floating-point PID Control.   
* @param[in] *S	Instance pointer of PID control data structure.   
* @return none.    
* \par Description:   
* The function resets the state buffer to zeros.    
*/
void arm_pid_reset_f32(
  arm_pid_instance_f32 * S)
{

  // Clear the state buffer.  The size will be always 3 samples 
  memset(S->state, 0, 3u * sizeof(float32_t));
}

 // *  end of PID group    
