/* ----------------------------------------------------------------------    
* Copyright (C) 2010-2014 ARM Limited. All rights reserved.    
*    
* $Date:        12. March 2014
* $Revision: 	V1.4.4
*    
* Project: 	    CMSIS DSP Library    
* Title:	    arm_pid_reset_q15.c    
*    
* Description:	Q15 PID Control reset function   
*    
* Target Processor: Cortex-M4/Cortex-M3/Cortex-M0
*  
* -------------------------------------------------------------------- */

#include "arm_math.h"

 // * @addtogroup PID    

/**    
* @brief  Reset function for the Q15 PID Control.   
* @param[in] *S		Instance pointer of PID control data structure.   
* @return none.    
* \par Description:   
* The function resets the state buffer to zeros.    
*/
void arm_pid_reset_q15(
  arm_pid_instance_q15 * S)
{
  // Reset state to zero, The size will be always 3 samples 
  memset(S->state, 0, 3u * sizeof(q15_t));
}

 // *  end of PID group    
